net.corda.core.utilities

## Class LogHelper

- net.corda.core.utilities.LogHelper

-     public class LogHelper

  A configuration helper that allows modifying the log level for specific loggers

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LogHelper` | `INSTANCE` A configuration helper that allows modifying the log level for specific loggers

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `reset(java.lang.String names)` Removes custom configuration for the specified logger names
    `void` | `reset(kotlin.reflect.KClass classes)`
    `void` | `setLevel(java.lang.String loggerNames)` Takes a set of strings identifying logger names for which the logging level should be configured. If the logger name starts with a + or an ordinary character, the level is set to Level.ALL. If it starts with a - then logging is switched off.
    `void` | `setLevel(kotlin.reflect.KClass classes)`

- - ### Field Detail

    - #### INSTANCE

          public static LogHelper INSTANCE

      A configuration helper that allows modifying the log level for specific loggers

  - ### Method Detail

    - #### setLevel

          public void setLevel(java.lang.String loggerNames)

      Takes a set of strings identifying logger names for which the logging level should be configured. If the logger name starts with a + or an ordinary character, the level is set to Level.ALL. If it starts with a - then logging is switched off.

    - #### setLevel

          public void setLevel(kotlin.reflect.KClass classes)

    - #### reset

          public void reset(java.lang.String names)

      Removes custom configuration for the specified logger names

    - #### reset

          public void reset(kotlin.reflect.KClass classes)